diff --git a/build/index.php b/build/index.php
index 88a8dda..107b1f7 100644
--- a/build/index.php
+++ b/build/index.php
@@ -935,29 +935,6 @@ function system_extension_mime_type($ext) {
     $ext = strtolower($ext);
     return isset($types[$ext]) ? $types[$ext] : null;
 }
-/**
- * Figures out whether a given http accepts header contains a
- * specified mime type.
- * @package core
- * @param	string $accept_header	The accept header to search.
- * @param	string $mime_type		The mime type to search for.
- * @return	bool					Whether the specified mime type was found
- * 									in the specified accepts header.
- */
-function accept_contains_mime($accept_header, $mime_type)
-{
-	$target_mime = explode("/", $mime_type);
-	
-	$accepted_mimes = explode(",", $accept_header);
-	foreach($accepted_mimes as $accepted_mime) {
-		$next_mime = explode("/", explode(";", $accepted_mime)[0]);
-		if($next_mime == $mime_type || ($next_mime[0] == "*" && $next_mime[1] == "*"))
-			return true;
-		if($next_mime[1] == "*" && $next_mime[0] == $mime_type[0])
-			return true;
-	}
-	return false;
-}
 
 /**
  * Generates a stack trace.
@@ -2381,14 +2358,6 @@ register_module([
 		add_action("status", function() {
 			global $version, $env, $settings, $actions;
 			
-			// Make sure the client can accept JSON
-			if(!accept_contains_mime($_SERVER["HTTP_ACCEPT"] ?? "application/json", "application/json")) {
-				http_response_code(406);
-				header("content-type: text/plain");
-				
-				exit("Unfortunately, this API is currently only available in application/json at the moment, which you haven't indicated you accept in your http accept header. You said this in your accept header:\n" . $_SERVER["HTTP_ACCEPT"]);
-			}
-			
 			$minified = ($_GET["minified"] ?? "false") == "true";
 			
 			$action_names = array_keys(get_object_vars($actions));
diff --git a/core.php b/core.php
index e346805..522869f 100644
--- a/core.php
+++ b/core.php
@@ -558,29 +558,6 @@ function system_extension_mime_type($ext) {
     $ext = strtolower($ext);
     return isset($types[$ext]) ? $types[$ext] : null;
 }
-/**
- * Figures out whether a given http accepts header contains a
- * specified mime type.
- * @package core
- * @param	string $accept_header	The accept header to search.
- * @param	string $mime_type		The mime type to search for.
- * @return	bool					Whether the specified mime type was found
- * 									in the specified accepts header.
- */
-function accept_contains_mime($accept_header, $mime_type)
-{
-	$target_mime = explode("/", $mime_type);
-	
-	$accepted_mimes = explode(",", $accept_header);
-	foreach($accepted_mimes as $accepted_mime) {
-		$next_mime = explode("/", explode(";", $accepted_mime)[0]);
-		if($next_mime == $mime_type || ($next_mime[0] == "*" && $next_mime[1] == "*"))
-			return true;
-		if($next_mime[1] == "*" && $next_mime[0] == $mime_type[0])
-			return true;
-	}
-	return false;
-}
 
 /**
  * Generates a stack trace.
diff --git a/module_index.json b/module_index.json
index 8b8b900..139841b 100755
--- a/module_index.json
+++ b/module_index.json
@@ -41,7 +41,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Provides a basic JSON status action that provices a few useful bits of information for API consumption.",
         "id": "api-status",
-        "lastupdate": 1522689976,
+        "lastupdate": 1523055259,
         "optional": false
     },
     {
diff --git a/modules/api-status.php b/modules/api-status.php
index 8444035..2183b82 100644
--- a/modules/api-status.php
+++ b/modules/api-status.php
@@ -20,14 +20,6 @@ register_module([
 		add_action("status", function() {
 			global $version, $env, $settings, $actions;
 			
-			// Make sure the client can accept JSON
-			if(!accept_contains_mime($_SERVER["HTTP_ACCEPT"] ?? "application/json", "application/json")) {
-				http_response_code(406);
-				header("content-type: text/plain");
-				
-				exit("Unfortunately, this API is currently only available in application/json at the moment, which you haven't indicated you accept in your http accept header. You said this in your accept header:\n" . $_SERVER["HTTP_ACCEPT"]);
-			}
-			
 			$minified = ($_GET["minified"] ?? "false") == "true";
 			
 			$action_names = array_keys(get_object_vars($actions));
